VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
SpeakerArray Class Reference

Helper class representing speaker arrangement as array of speaker types. More...

`#include <vstspeakerarray.h>`

## Public Types
enum | { kMaxSpeakers = 64 }
typedef uint64 | SpeakerType

## Public Member Functions
| SpeakerArray (SpeakerArrangement arr=0)
int32 | total () const
SpeakerType | at (int32 index) const
void | setArrangement (SpeakerArrangement arr)
SpeakerArrangement | getArrangement () const
int32 | getSpeakerIndex (SpeakerType which) const

## Protected Attributes
int32 | count
SpeakerType | speaker [kMaxSpeakers]

## Detailed Description

Helper class representing speaker arrangement as array of speaker types.

## Member Typedef Documentation

## ◆ SpeakerType

typedef uint64 SpeakerType

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
kMaxSpeakers |

## Constructor & Destructor Documentation

## ◆ SpeakerArray()

SpeakerArray | ( | SpeakerArrangement | arr = 0 | ) |
| inline

## Member Function Documentation

## ◆ total()

int32 total | ( |  | ) | const
| inline

## ◆ at()

SpeakerType at | ( | int32 | index | ) | const
| inline

## ◆ setArrangement()

void setArrangement | ( | SpeakerArrangement | arr | ) |
| inline

## ◆ getArrangement()

SpeakerArrangement getArrangement | ( |  | ) | const
| inline

## ◆ getSpeakerIndex()

int32 getSpeakerIndex | ( | SpeakerType | which | ) | const
| inline

## Member Data Documentation

## ◆ count

int32 count
| protected

## ◆ speaker

SpeakerType speaker[kMaxSpeakers]
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.